Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Nov 2024 08:58:58 +0200

> From: Po Lu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Ashton Wiersdorf
>  <[email-masked]>,  [email-masked]
> Date: Fri, 22 Nov 2024 07:59:50 +0800
> 
> Jim Porter <[email-masked]> writes:
> 
> > I'm only dimly aware of how 'pixel-scroll-precision-mode' works, but I
> > seem to recall that it sets the window's vscroll to allow scrolling
> > past *part* of a line. On the Eshell side, I believe the relevant
> > function is 'eshell-postoutput-scroll-to-bottom', which calls
> > 'recenter' to scroll the window.
> >
> > I'm guessing these interact badly, and what we actually want to do is
> > to reset the vscroll when Eshell calls 'recenter'. However, I'm not
> > sure what the best way to do this would be. Is there some better
> > function Eshell can call that would handle this case correctly?
> 
> Since pixel-scroll-precision-mode never configures a vscroll taller than
> one screen line, resetting vscroll in these scenarios is generally the
> safest and simplest solutions to problems such as the OP is facing.

So you suggest that eshell-postoutput-scroll-to-bottom explicitly
resets the window's vscroll, and that should solve the OP's problem?